## rust-cargo 0.43.1

=== src/doc/Makefile ===
# This Makefile is used to build the Cargo man pages.
#
# The source for the man pages are located in src/doc/man in Asciidoctor
# format. See https://asciidoctor.org/ for more information.
#
# Just run `make` and it will generate the man pages in src/etc/man and the
# HTML pages in src/doc/man/generated.
#
# There are some Asciidoctor extensions, see the file `asciidoc-extensions.rb`
# for the documentation.

MAN_SOURCE = $(sort $(wildcard man/cargo*.adoc))
COMMANDS = $(notdir $(MAN_SOURCE))
HTML = $(patsubst %.adoc,man/generated/%.html,$(COMMANDS))
MAN_LOCATION = ../etc/man
MAN = $(patsubst %.adoc,$(MAN_LOCATION)/%.1,$(COMMANDS))
ASCIIDOCOPTS = -r ./asciidoc-extension.rb
OTHER_DEPS = asciidoc-extension.rb $(filter-out $(MAN_SOURCE),$(sort $(wildcard man/*.adoc)))

all: commands-html man
commands-html: $(HTML)
man: $(MAN)

$(HTML): man/generated/%.html : man/%.adoc asciidoc-extension.rb $(OTHER_DEPS)
	asciidoctor $(ASCIIDOCOPTS) -s $< -o $@

$(MAN): $(MAN_LOCATION)/%.1 : man/%.adoc $(OTHER_DEPS)
	asciidoctor $(ASCIIDOCOPTS) -b manpage $< -o $@

## rust-cargo 0.32.0

=== debian/changelog ===
rust-cargo (0.32.0-2) unstable; urgency=medium

  * Package cargo 0.32.0 from crates.io using debcargo 2.2.9

 -- Ximin Luo <infinity0@debian.org>  Tue, 18 Dec 2018 17:31:33 -0800

rust-cargo (0.32.0-1) unstable; urgency=medium

  * Team upload.
  * Package cargo 0.32.0 from crates.io using debcargo 2.2.9

 -- Matt Kraai <kraai@debian.org>  Sat, 15 Dec 2018 22:13:00 -0800

rust-cargo (0.31.0-1) unstable; urgency=medium

  * Package cargo 0.31.0 from crates.io using debcargo 2.2.9

 -- Ximin Luo <infinity0@debian.org>  Wed, 14 Nov 2018 20:47:03 -0800

=== debian/control ===
Source: rust-cargo
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-atty-0.2+default-dev <!nocheck>,
 librust-bytesize-1+default-dev <!nocheck>,
 librust-clap-2+default-dev (>= 2.31.2-~~) <!nocheck>,
 librust-core-foundation-0.6+default-dev <!nocheck>,
 librust-core-foundation-0.6+mac-os-10-7-support-dev <!nocheck>,
 librust-crates-io-0.20+default-dev <!nocheck>,
 librust-crossbeam-utils-0.5+default-dev <!nocheck>,
 librust-crypto-hash-0.3+default-dev (>= 0.3.1-~~) <!nocheck>,
 librust-curl-0.4+default-dev (>= 0.4.17-~~) <!nocheck>,
 librust-curl-0.4+http2-dev (>= 0.4.17-~~) <!nocheck>,
 librust-curl-sys-0.4+default-dev (>= 0.4.12-~~) <!nocheck>,
 librust-env-logger-0.6+default-dev <!nocheck> | librust-env-logger-0.5+default-dev <!nocheck>,
 librust-failure-0.1+default-dev (>= 0.1.2-~~) <!nocheck>,
 librust-filetime-0.2+default-dev <!nocheck>,
 librust-flate2-1+default-dev (>= 1.0.3-~~) <!nocheck>,
 librust-fs2-0.4+default-dev <!nocheck>,
 librust-fwdansi-1+default-dev <!nocheck>,
 librust-git2-0.7+default-dev (>= 0.7.5-~~) <!nocheck>,
 librust-git2-curl-0.8+default-dev (>= 0.8.1-~~) <!nocheck>,
 librust-glob-0.2+default-dev (>= 0.2.11-~~) <!nocheck>,
 librust-hex-0.3+default-dev <!nocheck>,
 librust-home-0.3+default-dev <!nocheck>,
 librust-ignore-0.4+default-dev <!nocheck>,
 librust-jobserver-0.1+default-dev (>= 0.1.11-~~) <!nocheck>,
 librust-lazy-static-1+default-dev <!nocheck>,
 librust-lazycell-1+default-dev (>= 1.2.0-~~) <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-libgit2-sys-0.7+default-dev (>= 0.7.9-~~) <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-miow-0.3+default-dev (>= 0.3.1-~~) <!nocheck>,
 librust-num-cpus-1+default-dev <!nocheck>,
 librust-opener-0.3+default-dev <!nocheck>,
 librust-rustc-workspace-hack-1+default-dev <!nocheck>,
 librust-rustfix-0.4+default-dev (>= 0.4.2-~~) <!nocheck>,
 librust-same-file-1+default-dev <!nocheck>,
 librust-semver-0.9+default-dev <!nocheck>,
 librust-semver-0.9+serde-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-derive-1+default-dev <!nocheck>,
 librust-serde-ignored-0.0.4+default-dev <!nocheck>,
 librust-serde-json-1+default-dev (>= 1.0.30-~~) <!nocheck>,
 librust-serde-json-1+raw-value-dev (>= 1.0.30-~~) <!nocheck>,
 librust-shell-escape-0.1+default-dev (>= 0.1.4-~~) <!nocheck>,
 librust-tar-0.4-dev (>= 0.4.15-~~) <!nocheck>,
 librust-tempfile-3+default-dev <!nocheck>,
 librust-termcolor-1+default-dev <!nocheck>,
 librust-toml-0.4+default-dev (>= 0.4.2-~~) <!nocheck>,
 librust-unicode-width-0.1+default-dev (>= 0.1.5-~~) <!nocheck>,
 librust-url-1+default-dev (>= 1.1-~~) <!nocheck>,
 librust-winapi-0.3+basetsd-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+handleapi-dev <!nocheck>,
 librust-winapi-0.3+jobapi-dev <!nocheck>,
 librust-winapi-0.3+jobapi2-dev <!nocheck>,
 librust-winapi-0.3+memoryapi-dev <!nocheck>,
 librust-winapi-0.3+minwindef-dev <!nocheck>,
 librust-winapi-0.3+ntdef-dev <!nocheck>,
 librust-winapi-0.3+ntstatus-dev <!nocheck>,
 librust-winapi-0.3+processenv-dev <!nocheck>,
 librust-winapi-0.3+processthreadsapi-dev <!nocheck>,
 librust-winapi-0.3+psapi-dev <!nocheck>,
 librust-winapi-0.3+synchapi-dev <!nocheck>,
 librust-winapi-0.3+winbase-dev <!nocheck>,
 librust-winapi-0.3+wincon-dev <!nocheck>,
 librust-winapi-0.3+winerror-dev <!nocheck>,
 librust-winapi-0.3+winnt-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo
Homepage: https://crates.io

Package: librust-cargo-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-atty-0.2+default-dev,
 librust-bytesize-1+default-dev,
 librust-clap-2+default-dev (>= 2.31.2-~~),
 librust-core-foundation-0.6+default-dev,
 librust-core-foundation-0.6+mac-os-10-7-support-dev,
 librust-crates-io-0.20+default-dev,
 librust-crossbeam-utils-0.5+default-dev,
 librust-crypto-hash-0.3+default-dev (>= 0.3.1-~~),
 librust-curl-0.4+default-dev (>= 0.4.17-~~),
 librust-curl-0.4+http2-dev (>= 0.4.17-~~),
 librust-curl-sys-0.4+default-dev (>= 0.4.12-~~),
 librust-env-logger-0.6+default-dev | librust-env-logger-0.5+default-dev,
 librust-failure-0.1+default-dev (>= 0.1.2-~~),
 librust-filetime-0.2+default-dev,
 librust-flate2-1+default-dev (>= 1.0.3-~~),
 librust-fs2-0.4+default-dev,
 librust-fwdansi-1+default-dev,
 librust-git2-0.7+default-dev (>= 0.7.5-~~),
 librust-git2-curl-0.8+default-dev (>= 0.8.1-~~),
 librust-glob-0.2+default-dev (>= 0.2.11-~~),
 librust-hex-0.3+default-dev,
 librust-home-0.3+default-dev,
 librust-ignore-0.4+default-dev,
 librust-jobserver-0.1+default-dev (>= 0.1.11-~~),
 librust-lazy-static-1+default-dev,
 librust-lazycell-1+default-dev (>= 1.2.0-~~),
 librust-libc-0.2+default-dev,
 librust-libgit2-sys-0.7+default-dev (>= 0.7.9-~~),
 librust-log-0.4+default-dev,
 librust-miow-0.3+default-dev (>= 0.3.1-~~),
 librust-num-cpus-1+default-dev,
 librust-opener-0.3+default-dev,
 librust-rustc-workspace-hack-1+default-dev,
 librust-rustfix-0.4+default-dev (>= 0.4.2-~~),
 librust-same-file-1+default-dev,
 librust-semver-0.9+default-dev,
 librust-semver-0.9+serde-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-ignored-0.0.4+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.30-~~),
 librust-serde-json-1+raw-value-dev (>= 1.0.30-~~),
 librust-shell-escape-0.1+default-dev (>= 0.1.4-~~),
 librust-tar-0.4-dev (>= 0.4.15-~~),
 librust-tempfile-3+default-dev,
 librust-termcolor-1+default-dev,
 librust-toml-0.4+default-dev (>= 0.4.2-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.5-~~),
 librust-url-1+default-dev (>= 1.1-~~),
 librust-winapi-0.3+basetsd-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+handleapi-dev,
 librust-winapi-0.3+jobapi-dev,
 librust-winapi-0.3+jobapi2-dev,
 librust-winapi-0.3+memoryapi-dev,
 librust-winapi-0.3+minwindef-dev,
 librust-winapi-0.3+ntdef-dev,
 librust-winapi-0.3+ntstatus-dev,
 librust-winapi-0.3+processenv-dev,
 librust-winapi-0.3+processthreadsapi-dev,
 librust-winapi-0.3+psapi-dev,
 librust-winapi-0.3+synchapi-dev,
 librust-winapi-0.3+winbase-dev,
 librust-winapi-0.3+wincon-dev,
 librust-winapi-0.3+winerror-dev,
 librust-winapi-0.3+winnt-dev
Suggests:
 librust-cargo+openssl-dev (= ${binary:Version}),
 librust-cargo+vendored-openssl-dev (= ${binary:Version})
Provides:
 librust-cargo+default-dev (= ${binary:Version}),
 librust-cargo-0-dev (= ${binary:Version}),
 librust-cargo-0+default-dev (= ${binary:Version}),
 librust-cargo-0.32-dev (= ${binary:Version}),
 librust-cargo-0.32+default-dev (= ${binary:Version}),
 librust-cargo-0.32.0-dev (= ${binary:Version}),
 librust-cargo-0.32.0+default-dev (= ${binary:Version})
Description: Package manager for Rust - Rust source code
 This package contains the source for the Rust cargo crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-cargo+openssl-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cargo-dev (= ${binary:Version}),
 librust-openssl-0.10+default-dev (>= 0.10.11-~~)
Provides:
 librust-cargo-0+openssl-dev (= ${binary:Version}),
 librust-cargo-0.32+openssl-dev (= ${binary:Version}),
 librust-cargo-0.32.0+openssl-dev (= ${binary:Version})
Description: Package manager for Rust - feature "openssl"
 This metapackage enables feature openssl for the Rust cargo crate, by pulling
 in any additional dependencies needed by that feature.

Package: librust-cargo+vendored-openssl-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cargo-dev (= ${binary:Version}),
 librust-openssl-0.10+default-dev (>= 0.10.11-~~)
Provides:
 librust-cargo-0+vendored-openssl-dev (= ${binary:Version}),
 librust-cargo-0.32+vendored-openssl-dev (= ${binary:Version}),
 librust-cargo-0.32.0+vendored-openssl-dev (= ${binary:Version})
Description: Package manager for Rust - feature "vendored-openssl"
 This metapackage enables feature vendored-openssl for the Rust cargo crate, by
 pulling in any additional dependencies needed by that feature.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/cargo-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/cargo .*/crates/cargo/@ANY_VERSION@/download

## rust-cargo 0.35.0

=== debian/changelog ===
rust-cargo (0.35.0-1) unstable; urgency=medium

  * Package cargo 0.35.0 from crates.io using debcargo 2.2.10

 -- Ximin Luo <infinity0@debian.org>  Thu, 30 May 2019 22:10:23 -0700

=== debian/control ===
Source: rust-cargo
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 15),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-atty-0.2+default-dev <!nocheck>,
 librust-byteorder-1+default-dev (>= 1.2-~~) <!nocheck>,
 librust-bytesize-1+default-dev <!nocheck>,
 librust-clap-2+default-dev (>= 2.31.2-~~) <!nocheck>,
 librust-core-foundation-0.6+default-dev <!nocheck>,
 librust-core-foundation-0.6+mac-os-10-7-support-dev <!nocheck>,
 librust-crates-io-0.23+default-dev <!nocheck>,
 librust-crossbeam-utils-0.6+default-dev <!nocheck>,
 librust-crypto-hash-0.3+default-dev (>= 0.3.1-~~) <!nocheck>,
 librust-curl-0.4+default-dev (>= 0.4.19-~~) <!nocheck>,
 librust-curl-0.4+http2-dev (>= 0.4.19-~~) <!nocheck>,
 librust-curl-sys-0.4+default-dev (>= 0.4.15-~~) <!nocheck>,
 librust-env-logger-0.6+default-dev <!nocheck>,
 librust-failure-0.1+default-dev (>= 0.1.5-~~) <!nocheck>,
 librust-filetime-0.2+default-dev <!nocheck>,
 librust-flate2-1+default-dev (>= 1.0.3-~~) <!nocheck>,
 librust-flate2-1+zlib-dev (>= 1.0.3-~~) <!nocheck>,
 librust-fs2-0.4+default-dev <!nocheck>,
 librust-fwdansi-1+default-dev <!nocheck>,
 librust-git2-0.8+default-dev <!nocheck>,
 librust-git2-curl-0.9+default-dev <!nocheck>,
 librust-glob-0.2+default-dev (>= 0.2.11-~~) <!nocheck>,
 librust-hex-0.3+default-dev <!nocheck>,
 librust-home-0.3+default-dev <!nocheck>,
 librust-ignore-0.4+default-dev <!nocheck>,
 librust-im-rc-12+default-dev (>= 12.1.0-~~) <!nocheck>,
 librust-jobserver-0.1+default-dev (>= 0.1.11-~~) <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.2.0-~~) <!nocheck>,
 librust-lazycell-1+default-dev (>= 1.2.0-~~) <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-libgit2-sys-0.7+default-dev (>= 0.7.9-~~) <!nocheck>,
 librust-log-0.4+default-dev (>= 0.4.6-~~) <!nocheck>,
 librust-miow-0.3+default-dev (>= 0.3.1-~~) <!nocheck>,
 librust-num-cpus-1+default-dev <!nocheck>,
 librust-opener-0.3+default-dev <!nocheck>,
 librust-rustc-workspace-hack-1+default-dev <!nocheck>,
 librust-rustfix-0.4+default-dev (>= 0.4.4-~~) <!nocheck>,
 librust-same-file-1+default-dev <!nocheck>,
 librust-semver-0.9+default-dev <!nocheck>,
 librust-semver-0.9+serde-dev <!nocheck>,
 librust-serde-1+default-dev (>= 1.0.82-~~) <!nocheck>,
 librust-serde-1+derive-dev (>= 1.0.82-~~) <!nocheck>,
 librust-serde-ignored-0.0.4+default-dev <!nocheck>,
 librust-serde-json-1+default-dev (>= 1.0.30-~~) <!nocheck>,
 librust-serde-json-1+raw-value-dev (>= 1.0.30-~~) <!nocheck>,
 librust-shell-escape-0.1+default-dev (>= 0.1.4-~~) <!nocheck>,
 librust-tar-0.4-dev (>= 0.4.18-~~) <!nocheck>,
 librust-tempfile-3+default-dev <!nocheck>,
 librust-termcolor-1+default-dev <!nocheck>,
 librust-toml-0.4+default-dev (>= 0.4.2-~~) <!nocheck>,
 librust-unicode-width-0.1+default-dev (>= 0.1.5-~~) <!nocheck>,
 librust-url-1+default-dev (>= 1.1-~~) <!nocheck>,
 librust-url-serde-0.2+default-dev <!nocheck>,
 librust-winapi-0.3+basetsd-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+handleapi-dev <!nocheck>,
 librust-winapi-0.3+jobapi-dev <!nocheck>,
 librust-winapi-0.3+jobapi2-dev <!nocheck>,
 librust-winapi-0.3+memoryapi-dev <!nocheck>,
 librust-winapi-0.3+minwindef-dev <!nocheck>,
 librust-winapi-0.3+ntdef-dev <!nocheck>,
 librust-winapi-0.3+ntstatus-dev <!nocheck>,
 librust-winapi-0.3+processenv-dev <!nocheck>,
 librust-winapi-0.3+processthreadsapi-dev <!nocheck>,
 librust-winapi-0.3+psapi-dev <!nocheck>,
 librust-winapi-0.3+synchapi-dev <!nocheck>,
 librust-winapi-0.3+winbase-dev <!nocheck>,
 librust-winapi-0.3+wincon-dev <!nocheck>,
 librust-winapi-0.3+winerror-dev <!nocheck>,
 librust-winapi-0.3+winnt-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo
Homepage: https://crates.io

Package: librust-cargo-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-atty-0.2+default-dev,
 librust-byteorder-1+default-dev (>= 1.2-~~),
 librust-bytesize-1+default-dev,
 librust-clap-2+default-dev (>= 2.31.2-~~),
 librust-core-foundation-0.6+default-dev,
 librust-core-foundation-0.6+mac-os-10-7-support-dev,
 librust-crates-io-0.23+default-dev,
 librust-crossbeam-utils-0.6+default-dev,
 librust-crypto-hash-0.3+default-dev (>= 0.3.1-~~),
 librust-curl-0.4+default-dev (>= 0.4.19-~~),
 librust-curl-0.4+http2-dev (>= 0.4.19-~~),
 librust-curl-sys-0.4+default-dev (>= 0.4.15-~~),
 librust-env-logger-0.6+default-dev,
 librust-failure-0.1+default-dev (>= 0.1.5-~~),
 librust-filetime-0.2+default-dev,
 librust-flate2-1+default-dev (>= 1.0.3-~~),
 librust-flate2-1+zlib-dev (>= 1.0.3-~~),
 librust-fs2-0.4+default-dev,
 librust-fwdansi-1+default-dev,
 librust-git2-0.8+default-dev,
 librust-git2-curl-0.9+default-dev,
 librust-glob-0.2+default-dev (>= 0.2.11-~~),
 librust-hex-0.3+default-dev,
 librust-home-0.3+default-dev,
 librust-ignore-0.4+default-dev,
 librust-im-rc-12+default-dev (>= 12.1.0-~~),
 librust-jobserver-0.1+default-dev (>= 0.1.11-~~),
 librust-lazy-static-1+default-dev (>= 1.2.0-~~),
 librust-lazycell-1+default-dev (>= 1.2.0-~~),
 librust-libc-0.2+default-dev,
 librust-libgit2-sys-0.7+default-dev (>= 0.7.9-~~),
 librust-log-0.4+default-dev (>= 0.4.6-~~),
 librust-miow-0.3+default-dev (>= 0.3.1-~~),
 librust-num-cpus-1+default-dev,
 librust-opener-0.3+default-dev,
 librust-rustc-workspace-hack-1+default-dev,
 librust-rustfix-0.4+default-dev (>= 0.4.4-~~),
 librust-same-file-1+default-dev,
 librust-semver-0.9+default-dev,
 librust-semver-0.9+serde-dev,
 librust-serde-1+default-dev (>= 1.0.82-~~),
 librust-serde-1+derive-dev (>= 1.0.82-~~),
 librust-serde-ignored-0.0.4+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.30-~~),
 librust-serde-json-1+raw-value-dev (>= 1.0.30-~~),
 librust-shell-escape-0.1+default-dev (>= 0.1.4-~~),
 librust-tar-0.4-dev (>= 0.4.18-~~),
 librust-tempfile-3+default-dev,
 librust-termcolor-1+default-dev,
 librust-toml-0.4+default-dev (>= 0.4.2-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.5-~~),
 librust-url-1+default-dev (>= 1.1-~~),
 librust-url-serde-0.2+default-dev,
 librust-winapi-0.3+basetsd-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+handleapi-dev,
 librust-winapi-0.3+jobapi-dev,
 librust-winapi-0.3+jobapi2-dev,
 librust-winapi-0.3+memoryapi-dev,
 librust-winapi-0.3+minwindef-dev,
 librust-winapi-0.3+ntdef-dev,
 librust-winapi-0.3+ntstatus-dev,
 librust-winapi-0.3+processenv-dev,
 librust-winapi-0.3+processthreadsapi-dev,
 librust-winapi-0.3+psapi-dev,
 librust-winapi-0.3+synchapi-dev,
 librust-winapi-0.3+winbase-dev,
 librust-winapi-0.3+wincon-dev,
 librust-winapi-0.3+winerror-dev,
 librust-winapi-0.3+winnt-dev
Suggests:
 librust-cargo+openssl-dev (= ${binary:Version}),
 librust-cargo+vendored-openssl-dev (= ${binary:Version})
Provides:
 librust-cargo+default-dev (= ${binary:Version}),
 librust-cargo+deny-warnings-dev (= ${binary:Version}),
 librust-cargo+pretty-env-logger-dev (= ${binary:Version}),
 librust-cargo-0-dev (= ${binary:Version}),
 librust-cargo-0+default-dev (= ${binary:Version}),
 librust-cargo-0+deny-warnings-dev (= ${binary:Version}),
 librust-cargo-0+pretty-env-logger-dev (= ${binary:Version}),
 librust-cargo-0.35-dev (= ${binary:Version}),
 librust-cargo-0.35+default-dev (= ${binary:Version}),
 librust-cargo-0.35+deny-warnings-dev (= ${binary:Version}),
 librust-cargo-0.35+pretty-env-logger-dev (= ${binary:Version}),
 librust-cargo-0.35.0-dev (= ${binary:Version}),
 librust-cargo-0.35.0+default-dev (= ${binary:Version}),
 librust-cargo-0.35.0+deny-warnings-dev (= ${binary:Version}),
 librust-cargo-0.35.0+pretty-env-logger-dev (= ${binary:Version})
Description: Package manager for Rust - Rust source code
 This package contains the source for the Rust cargo crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-cargo+openssl-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cargo-dev (= ${binary:Version}),
 librust-openssl-0.10+default-dev (>= 0.10.11-~~)
Provides:
 librust-cargo-0+openssl-dev (= ${binary:Version}),
 librust-cargo-0.35+openssl-dev (= ${binary:Version}),
 librust-cargo-0.35.0+openssl-dev (= ${binary:Version})
Description: Package manager for Rust - feature "openssl"
 This metapackage enables feature openssl for the Rust cargo crate, by pulling
 in any additional dependencies needed by that feature.

Package: librust-cargo+vendored-openssl-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cargo-dev (= ${binary:Version}),
 librust-openssl-0.10+default-dev (>= 0.10.11-~~)
Provides:
 librust-cargo-0+vendored-openssl-dev (= ${binary:Version}),
 librust-cargo-0.35+vendored-openssl-dev (= ${binary:Version}),
 librust-cargo-0.35.0+vendored-openssl-dev (= ${binary:Version})
Description: Package manager for Rust - feature "vendored-openssl"
 This metapackage enables feature vendored-openssl for the Rust cargo crate, by
 pulling in any additional dependencies needed by that feature.

## rust-cargo 0.37.0

=== debian/changelog ===
rust-cargo (0.37.0-1) unstable; urgency=medium

  * Package cargo 0.37.0 from crates.io using debcargo 2.4.0
  * Upgrade to url 2.

 -- Ximin Luo <infinity0@debian.org>  Thu, 15 Aug 2019 19:06:15 -0700

=== debian/control ===
Source: rust-cargo
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-atty-0.2+default-dev <!nocheck>,
 librust-byteorder-1+default-dev (>= 1.2-~~) <!nocheck>,
 librust-bytesize-1+default-dev <!nocheck>,
 librust-clap-2+default-dev (>= 2.31.2-~~) <!nocheck>,
 librust-core-foundation-0.6+default-dev <!nocheck>,
 librust-core-foundation-0.6+mac-os-10-7-support-dev <!nocheck>,
 librust-crates-io-0.25+default-dev <!nocheck>,
 librust-crossbeam-utils-0.6+default-dev <!nocheck>,
 librust-crypto-hash-0.3+default-dev (>= 0.3.1-~~) <!nocheck>,
 librust-curl-0.4+default-dev (>= 0.4.21-~~) <!nocheck>,
 librust-curl-0.4+http2-dev (>= 0.4.21-~~) <!nocheck>,
 librust-curl-sys-0.4+default-dev (>= 0.4.18-~~) <!nocheck>,
 librust-env-logger-0.6+default-dev <!nocheck>,
 librust-failure-0.1+default-dev (>= 0.1.5-~~) <!nocheck>,
 librust-filetime-0.2+default-dev <!nocheck>,
 librust-flate2-1+default-dev (>= 1.0.3-~~) <!nocheck>,
 librust-flate2-1+zlib-dev (>= 1.0.3-~~) <!nocheck>,
 librust-fs2-0.4+default-dev <!nocheck>,
 librust-fwdansi-1+default-dev <!nocheck>,
 librust-git2-0.8+default-dev <!nocheck>,
 librust-git2-curl-0.9+default-dev <!nocheck>,
 librust-glob-0.3+default-dev <!nocheck>,
 librust-hex-0.3+default-dev <!nocheck>,
 librust-home-0.3+default-dev <!nocheck>,
 librust-ignore-0.4+default-dev (>= 0.4.7-~~) <!nocheck>,
 librust-im-rc-13+default-dev <!nocheck>,
 librust-jobserver-0.1+default-dev (>= 0.1.13-~~) <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.2.0-~~) <!nocheck>,
 librust-lazycell-1+default-dev (>= 1.2.0-~~) <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-libgit2-sys-0.7+default-dev (>= 0.7.9-~~) <!nocheck>,
 librust-log-0.4+default-dev (>= 0.4.6-~~) <!nocheck>,
 librust-memchr-2+default-dev (>= 2.1.3-~~) <!nocheck>,
 librust-miow-0.3+default-dev (>= 0.3.1-~~) <!nocheck>,
 librust-num-cpus-1+default-dev <!nocheck>,
 librust-opener-0.4+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev <!nocheck>,
 librust-rustc-workspace-hack-1+default-dev <!nocheck>,
 librust-rustfix-0.4+default-dev (>= 0.4.4-~~) <!nocheck>,
 librust-same-file-1+default-dev <!nocheck>,
 librust-semver-0.9+default-dev <!nocheck>,
 librust-semver-0.9+serde-dev <!nocheck>,
 librust-serde-1+default-dev (>= 1.0.82-~~) <!nocheck>,
 librust-serde-1+derive-dev (>= 1.0.82-~~) <!nocheck>,
 librust-serde-ignored-0.0.4+default-dev <!nocheck>,
 librust-serde-json-1+default-dev (>= 1.0.30-~~) <!nocheck>,
 librust-serde-json-1+raw-value-dev (>= 1.0.30-~~) <!nocheck>,
 librust-shell-escape-0.1+default-dev (>= 0.1.4-~~) <!nocheck>,
 librust-tar-0.4-dev (>= 0.4.18-~~) <!nocheck>,
 librust-tempfile-3+default-dev <!nocheck>,
 librust-termcolor-1+default-dev <!nocheck>,
 librust-toml-0.5+default-dev <!nocheck>,
 librust-unicode-width-0.1+default-dev (>= 0.1.5-~~) <!nocheck>,
 librust-url-2+default-dev <!nocheck>,
 librust-url-2+serde-dev <!nocheck>,
 librust-walkdir-2+default-dev (>= 2.2-~~) <!nocheck>,
 librust-winapi-0.3+basetsd-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+handleapi-dev <!nocheck>,
 librust-winapi-0.3+jobapi-dev <!nocheck>,
 librust-winapi-0.3+jobapi2-dev <!nocheck>,
 librust-winapi-0.3+memoryapi-dev <!nocheck>,
 librust-winapi-0.3+minwindef-dev <!nocheck>,
 librust-winapi-0.3+ntdef-dev <!nocheck>,
 librust-winapi-0.3+ntstatus-dev <!nocheck>,
 librust-winapi-0.3+processenv-dev <!nocheck>,
 librust-winapi-0.3+processthreadsapi-dev <!nocheck>,
 librust-winapi-0.3+psapi-dev <!nocheck>,
 librust-winapi-0.3+synchapi-dev <!nocheck>,
 librust-winapi-0.3+winbase-dev <!nocheck>,
 librust-winapi-0.3+wincon-dev <!nocheck>,
 librust-winapi-0.3+winerror-dev <!nocheck>,
 librust-winapi-0.3+winnt-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo
Homepage: https://crates.io

Package: librust-cargo-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-atty-0.2+default-dev,
 librust-byteorder-1+default-dev (>= 1.2-~~),
 librust-bytesize-1+default-dev,
 librust-clap-2+default-dev (>= 2.31.2-~~),
 librust-core-foundation-0.6+default-dev,
 librust-core-foundation-0.6+mac-os-10-7-support-dev,
 librust-crates-io-0.25+default-dev,
 librust-crossbeam-utils-0.6+default-dev,
 librust-crypto-hash-0.3+default-dev (>= 0.3.1-~~),
 librust-curl-0.4+default-dev (>= 0.4.21-~~),
 librust-curl-0.4+http2-dev (>= 0.4.21-~~),
 librust-curl-sys-0.4+default-dev (>= 0.4.18-~~),
 librust-env-logger-0.6+default-dev,
 librust-failure-0.1+default-dev (>= 0.1.5-~~),
 librust-filetime-0.2+default-dev,
 librust-flate2-1+default-dev (>= 1.0.3-~~),
 librust-flate2-1+zlib-dev (>= 1.0.3-~~),
 librust-fs2-0.4+default-dev,
 librust-fwdansi-1+default-dev,
 librust-git2-0.8+default-dev,
 librust-git2-curl-0.9+default-dev,
 librust-glob-0.3+default-dev,
 librust-hex-0.3+default-dev,
 librust-home-0.3+default-dev,
 librust-ignore-0.4+default-dev (>= 0.4.7-~~),
 librust-im-rc-13+default-dev,
 librust-jobserver-0.1+default-dev (>= 0.1.13-~~),
 librust-lazy-static-1+default-dev (>= 1.2.0-~~),
 librust-lazycell-1+default-dev (>= 1.2.0-~~),
 librust-libc-0.2+default-dev,
 librust-libgit2-sys-0.7+default-dev (>= 0.7.9-~~),
 librust-log-0.4+default-dev (>= 0.4.6-~~),
 librust-memchr-2+default-dev (>= 2.1.3-~~),
 librust-miow-0.3+default-dev (>= 0.3.1-~~),
 librust-num-cpus-1+default-dev,
 librust-opener-0.4+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-rustc-workspace-hack-1+default-dev,
 librust-rustfix-0.4+default-dev (>= 0.4.4-~~),
 librust-same-file-1+default-dev,
 librust-semver-0.9+default-dev,
 librust-semver-0.9+serde-dev,
 librust-serde-1+default-dev (>= 1.0.82-~~),
 librust-serde-1+derive-dev (>= 1.0.82-~~),
 librust-serde-ignored-0.0.4+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.30-~~),
 librust-serde-json-1+raw-value-dev (>= 1.0.30-~~),
 librust-shell-escape-0.1+default-dev (>= 0.1.4-~~),
 librust-tar-0.4-dev (>= 0.4.18-~~),
 librust-tempfile-3+default-dev,
 librust-termcolor-1+default-dev,
 librust-toml-0.5+default-dev,
 librust-unicode-width-0.1+default-dev (>= 0.1.5-~~),
 librust-url-2+default-dev,
 librust-url-2+serde-dev,
 librust-walkdir-2+default-dev (>= 2.2-~~),
 librust-winapi-0.3+basetsd-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+handleapi-dev,
 librust-winapi-0.3+jobapi-dev,
 librust-winapi-0.3+jobapi2-dev,
 librust-winapi-0.3+memoryapi-dev,
 librust-winapi-0.3+minwindef-dev,
 librust-winapi-0.3+ntdef-dev,
 librust-winapi-0.3+ntstatus-dev,
 librust-winapi-0.3+processenv-dev,
 librust-winapi-0.3+processthreadsapi-dev,
 librust-winapi-0.3+psapi-dev,
 librust-winapi-0.3+synchapi-dev,
 librust-winapi-0.3+winbase-dev,
 librust-winapi-0.3+wincon-dev,
 librust-winapi-0.3+winerror-dev,
 librust-winapi-0.3+winnt-dev
Suggests:
 librust-cargo+openssl-dev (= ${binary:Version})
Provides:
 librust-cargo+default-dev (= ${binary:Version}),
 librust-cargo+deny-warnings-dev (= ${binary:Version}),
 librust-cargo+pretty-env-logger-dev (= ${binary:Version}),
 librust-cargo-0-dev (= ${binary:Version}),
 librust-cargo-0+default-dev (= ${binary:Version}),
 librust-cargo-0+deny-warnings-dev (= ${binary:Version}),
 librust-cargo-0+pretty-env-logger-dev (= ${binary:Version}),
 librust-cargo-0.37-dev (= ${binary:Version}),
 librust-cargo-0.37+default-dev (= ${binary:Version}),
 librust-cargo-0.37+deny-warnings-dev (= ${binary:Version}),
 librust-cargo-0.37+pretty-env-logger-dev (= ${binary:Version}),
 librust-cargo-0.37.0-dev (= ${binary:Version}),
 librust-cargo-0.37.0+default-dev (= ${binary:Version}),
 librust-cargo-0.37.0+deny-warnings-dev (= ${binary:Version}),
 librust-cargo-0.37.0+pretty-env-logger-dev (= ${binary:Version})
Description: Package manager for Rust - Rust source code
 This package contains the source for the Rust cargo crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-cargo+openssl-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cargo-dev (= ${binary:Version}),
 librust-openssl-0.10+default-dev (>= 0.10.11-~~)
Provides:
 librust-cargo+vendored-openssl-dev (= ${binary:Version}),
 librust-cargo-0+openssl-dev (= ${binary:Version}),
 librust-cargo-0+vendored-openssl-dev (= ${binary:Version}),
 librust-cargo-0.37+openssl-dev (= ${binary:Version}),
 librust-cargo-0.37+vendored-openssl-dev (= ${binary:Version}),
 librust-cargo-0.37.0+openssl-dev (= ${binary:Version}),
 librust-cargo-0.37.0+vendored-openssl-dev (= ${binary:Version})
Description: Package manager for Rust - feature "openssl" and 1 more
 This metapackage enables feature "openssl" for the Rust cargo crate, by pulling
 in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "vendored-openssl" feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo 0.37.0 --all-targets --all-features
Depends: dh-cargo (>= 18), librust-bufstream-0.1+default-dev, librust-proptest-0.9+default-dev (>= 0.9.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo 0.37.0 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-bufstream-0.1+default-dev, librust-proptest-0.9+default-dev (>= 0.9.1-~~), librust-cargo-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo 0.37.0 --all-targets --features openssl
Depends: dh-cargo (>= 18), librust-bufstream-0.1+default-dev, librust-proptest-0.9+default-dev (>= 0.9.1-~~), librust-cargo+openssl-dev
Restrictions: allow-stderr, skip-not-installable

## rust-cargo 0.43.1

=== debian/changelog ===
rust-cargo (0.43.1-4) unstable; urgency=medium

  * Team upload.
  * Package cargo 0.43.1 from crates.io using debcargo 2.4.3
  * Bump dependency on flate2 to ease buster->bullseye upgrades
    (Closes: #990436).

 -- Peter Michael Green <plugwash@debian.org>  Tue, 29 Jun 2021 15:59:14 +0000

rust-cargo (0.43.1-3) unstable; urgency=medium

  * Team upload.
  * Package cargo 0.43.1 from crates.io using debcargo 2.4.3
  * Bump dependencies on git2, git2-curl and libgit2-sys,
    the old versions are broken with the new libgit2 that was
    recently uploaded to unstable.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 07 Dec 2020 05:19:36 +0000

rust-cargo (0.43.1-2) unstable; urgency=medium

  * Team upload.
  * Package cargo 0.43.1 from crates.io using debcargo 2.4.3
  * Relax dependency on core-foundation
  * Mark autopkgtest as broken, it has never passed.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 06 Dec 2020 01:10:49 +0000

rust-cargo (0.43.1-1) unstable; urgency=medium

  * Package cargo 0.43.1 from crates.io using debcargo 2.4.2
  * Closes: #955638

 -- Ximin Luo <infinity0@debian.org>  Sat, 18 Apr 2020 16:14:45 +0100

rust-cargo (0.41.0-2) unstable; urgency=medium

  * Package cargo 0.41.0 from crates.io using debcargo 2.4.0
  * Skip tests due to missing files from parent workspace.

 -- Ximin Luo <infinity0@debian.org>  Tue, 31 Dec 2019 04:13:38 +0000

rust-cargo (0.41.0-1) unstable; urgency=medium

  * Package cargo 0.41.0 from crates.io using debcargo 2.4.0
  * Closes: #946415

 -- Ximin Luo <infinity0@debian.org>  Tue, 31 Dec 2019 01:18:37 +0000

=== debian/control ===
Source: rust-cargo
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-anyhow-1+default-dev <!nocheck>,
 librust-atty-0.2+default-dev <!nocheck>,
 librust-bytesize-1+default-dev <!nocheck>,
 librust-cargo-platform-0.1+default-dev (>= 0.1.1-~~) <!nocheck>,
 librust-clap-2+default-dev (>= 2.31.2-~~) <!nocheck>,
 librust-core-foundation-0.9+default-dev <!nocheck> | librust-core-foundation-0.8+default-dev <!nocheck> | librust-core-foundation-0.7+default-dev <!nocheck>,
 librust-core-foundation-0.9+mac-os-10-7-support-dev <!nocheck> | librust-core-foundation-0.8+mac-os-10-7-support-dev <!nocheck> | librust-core-foundation-0.7+mac-os-10-7-support-dev <!nocheck>,
 librust-crates-io-0.31+default-dev <!nocheck>,
 librust-crossbeam-utils-0.7+default-dev <!nocheck>,
 librust-crypto-hash-0.3+default-dev (>= 0.3.1-~~) <!nocheck>,
 librust-curl-0.4+default-dev (>= 0.4.23-~~) <!nocheck>,
 librust-curl-0.4+http2-dev (>= 0.4.23-~~) <!nocheck>,
 librust-curl-sys-0.4+default-dev (>= 0.4.22-~~) <!nocheck>,
 librust-env-logger-0.7+default-dev <!nocheck>,
 librust-filetime-0.2+default-dev <!nocheck>,
 librust-flate2-1+default-dev (>= 1.0.13-~~) <!nocheck>,
 librust-flate2-1+zlib-dev (>= 1.0.13-~~) <!nocheck>,
 librust-fs2-0.4+default-dev <!nocheck>,
 librust-fwdansi-1+default-dev <!nocheck>,
 librust-git2-0.13+default-dev (>= 0.13.11-~~) <!nocheck>,
 librust-git2-curl-0.14+default-dev (>= 0.14.1-~~) <!nocheck>,
 librust-glob-0.3+default-dev <!nocheck>,
 librust-hex-0.4+default-dev <!nocheck>,
 librust-home-0.5+default-dev <!nocheck>,
 librust-humantime-2+default-dev <!nocheck>,
 librust-ignore-0.4+default-dev (>= 0.4.7-~~) <!nocheck>,
 librust-im-rc-14+default-dev <!nocheck>,
 librust-jobserver-0.1+default-dev (>= 0.1.13-~~) <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.2.0-~~) <!nocheck>,
 librust-lazycell-1+default-dev (>= 1.2.0-~~) <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-libgit2-sys-0.12+default-dev (>= 0.12.13-~~) <!nocheck>,
 librust-log-0.4+default-dev (>= 0.4.6-~~) <!nocheck>,
 librust-memchr-2+default-dev (>= 2.1.3-~~) <!nocheck>,
 librust-miow-0.3+default-dev (>= 0.3.1-~~) <!nocheck>,
 librust-num-cpus-1+default-dev <!nocheck>,
 librust-opener-0.4+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev <!nocheck>,
 librust-remove-dir-all-0.5+default-dev (>= 0.5.2-~~) <!nocheck>,
 librust-rustc-workspace-hack-1+default-dev <!nocheck>,
 librust-rustfix-0.5+default-dev <!nocheck>,
 librust-same-file-1+default-dev <!nocheck>,
 librust-semver-0.9+default-dev <!nocheck>,
 librust-semver-0.9+serde-dev <!nocheck>,
 librust-serde-1+default-dev (>= 1.0.82-~~) <!nocheck>,
 librust-serde-1+derive-dev (>= 1.0.82-~~) <!nocheck>,
 librust-serde-ignored-0.1+default-dev <!nocheck>,
 librust-serde-json-1+default-dev (>= 1.0.30-~~) <!nocheck>,
 librust-serde-json-1+raw-value-dev (>= 1.0.30-~~) <!nocheck>,
 librust-shell-escape-0.1+default-dev (>= 0.1.4-~~) <!nocheck>,
 librust-strip-ansi-escapes-0.1+default-dev <!nocheck>,
 librust-tar-0.4-dev (>= 0.4.18-~~) <!nocheck>,
 librust-tempfile-3+default-dev <!nocheck>,
 librust-termcolor-1+default-dev <!nocheck>,
 librust-toml-0.5+default-dev (>= 0.5.3-~~) <!nocheck>,
 librust-unicode-width-0.1+default-dev (>= 0.1.5-~~) <!nocheck>,
 librust-url-2+default-dev <!nocheck>,
 librust-walkdir-2+default-dev (>= 2.2-~~) <!nocheck>,
 librust-winapi-0.3+basetsd-dev <!nocheck>,
 librust-winapi-0.3+default-dev <!nocheck>,
 librust-winapi-0.3+handleapi-dev <!nocheck>,
 librust-winapi-0.3+jobapi-dev <!nocheck>,
 librust-winapi-0.3+jobapi2-dev <!nocheck>,
 librust-winapi-0.3+memoryapi-dev <!nocheck>,
 librust-winapi-0.3+minwindef-dev <!nocheck>,
 librust-winapi-0.3+ntdef-dev <!nocheck>,
 librust-winapi-0.3+ntstatus-dev <!nocheck>,
 librust-winapi-0.3+processenv-dev <!nocheck>,
 librust-winapi-0.3+processthreadsapi-dev <!nocheck>,
 librust-winapi-0.3+psapi-dev <!nocheck>,
 librust-winapi-0.3+synchapi-dev <!nocheck>,
 librust-winapi-0.3+winbase-dev <!nocheck>,
 librust-winapi-0.3+wincon-dev <!nocheck>,
 librust-winapi-0.3+winerror-dev <!nocheck>,
 librust-winapi-0.3+winnt-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/cargo]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/cargo
Homepage: https://crates.io

Package: librust-cargo-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-anyhow-1+default-dev,
 librust-atty-0.2+default-dev,
 librust-bytesize-1+default-dev,
 librust-cargo-platform-0.1+default-dev (>= 0.1.1-~~),
 librust-clap-2+default-dev (>= 2.31.2-~~),
 librust-core-foundation-0.9+default-dev | librust-core-foundation-0.8+default-dev | librust-core-foundation-0.7+default-dev,
 librust-core-foundation-0.9+mac-os-10-7-support-dev | librust-core-foundation-0.8+mac-os-10-7-support-dev | librust-core-foundation-0.7+mac-os-10-7-support-dev,
 librust-crates-io-0.31+default-dev,
 librust-crossbeam-utils-0.7+default-dev,
 librust-crypto-hash-0.3+default-dev (>= 0.3.1-~~),
 librust-curl-0.4+default-dev (>= 0.4.23-~~),
 librust-curl-0.4+http2-dev (>= 0.4.23-~~),
 librust-curl-sys-0.4+default-dev (>= 0.4.22-~~),
 librust-env-logger-0.7+default-dev,
 librust-filetime-0.2+default-dev,
 librust-flate2-1+default-dev (>= 1.0.13-~~),
 librust-flate2-1+zlib-dev (>= 1.0.13-~~),
 librust-fs2-0.4+default-dev,
 librust-fwdansi-1+default-dev,
 librust-git2-0.13+default-dev (>= 0.13.11-~~),
 librust-git2-curl-0.14+default-dev (>= 0.14.1-~~),
 librust-glob-0.3+default-dev,
 librust-hex-0.4+default-dev,
 librust-home-0.5+default-dev,
 librust-humantime-2+default-dev,
 librust-ignore-0.4+default-dev (>= 0.4.7-~~),
 librust-im-rc-14+default-dev,
 librust-jobserver-0.1+default-dev (>= 0.1.13-~~),
 librust-lazy-static-1+default-dev (>= 1.2.0-~~),
 librust-lazycell-1+default-dev (>= 1.2.0-~~),
 librust-libc-0.2+default-dev,
 librust-libgit2-sys-0.12+default-dev (>= 0.12.13-~~),
 librust-log-0.4+default-dev (>= 0.4.6-~~),
 librust-memchr-2+default-dev (>= 2.1.3-~~),
 librust-miow-0.3+default-dev (>= 0.3.1-~~),
 librust-num-cpus-1+default-dev,
 librust-opener-0.4+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-remove-dir-all-0.5+default-dev (>= 0.5.2-~~),
 librust-rustc-workspace-hack-1+default-dev,
 librust-rustfix-0.5+default-dev,
 librust-same-file-1+default-dev,
 librust-semver-0.9+default-dev,
 librust-semver-0.9+serde-dev,
 librust-serde-1+default-dev (>= 1.0.82-~~),
 librust-serde-1+derive-dev (>= 1.0.82-~~),
 librust-serde-ignored-0.1+default-dev,
 librust-serde-json-1+default-dev (>= 1.0.30-~~),
 librust-serde-json-1+raw-value-dev (>= 1.0.30-~~),
 librust-shell-escape-0.1+default-dev (>= 0.1.4-~~),
 librust-strip-ansi-escapes-0.1+default-dev,
 librust-tar-0.4-dev (>= 0.4.18-~~),
 librust-tempfile-3+default-dev,
 librust-termcolor-1+default-dev,
 librust-toml-0.5+default-dev (>= 0.5.3-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.5-~~),
 librust-url-2+default-dev,
 librust-walkdir-2+default-dev (>= 2.2-~~),
 librust-winapi-0.3+basetsd-dev,
 librust-winapi-0.3+default-dev,
 librust-winapi-0.3+handleapi-dev,
 librust-winapi-0.3+jobapi-dev,
 librust-winapi-0.3+jobapi2-dev,
 librust-winapi-0.3+memoryapi-dev,
 librust-winapi-0.3+minwindef-dev,
 librust-winapi-0.3+ntdef-dev,
 librust-winapi-0.3+ntstatus-dev,
 librust-winapi-0.3+processenv-dev,
 librust-winapi-0.3+processthreadsapi-dev,
 librust-winapi-0.3+psapi-dev,
 librust-winapi-0.3+synchapi-dev,
 librust-winapi-0.3+winbase-dev,
 librust-winapi-0.3+wincon-dev,
 librust-winapi-0.3+winerror-dev,
 librust-winapi-0.3+winnt-dev
Suggests:
 librust-cargo+openssl-dev (= ${binary:Version})
Provides:
 librust-cargo+default-dev (= ${binary:Version}),
 librust-cargo+deny-warnings-dev (= ${binary:Version}),
 librust-cargo+pretty-env-logger-dev (= ${binary:Version}),
 librust-cargo-0-dev (= ${binary:Version}),
 librust-cargo-0+default-dev (= ${binary:Version}),
 librust-cargo-0+deny-warnings-dev (= ${binary:Version}),
 librust-cargo-0+pretty-env-logger-dev (= ${binary:Version}),
 librust-cargo-0.43-dev (= ${binary:Version}),
 librust-cargo-0.43+default-dev (= ${binary:Version}),
 librust-cargo-0.43+deny-warnings-dev (= ${binary:Version}),
 librust-cargo-0.43+pretty-env-logger-dev (= ${binary:Version}),
 librust-cargo-0.43.1-dev (= ${binary:Version}),
 librust-cargo-0.43.1+default-dev (= ${binary:Version}),
 librust-cargo-0.43.1+deny-warnings-dev (= ${binary:Version}),
 librust-cargo-0.43.1+pretty-env-logger-dev (= ${binary:Version})
Description: Package manager for Rust - Rust source code
 This package contains the source for the Rust cargo crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-cargo+openssl-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cargo-dev (= ${binary:Version}),
 librust-openssl-0.10+default-dev (>= 0.10.11-~~)
Provides:
 librust-cargo+vendored-openssl-dev (= ${binary:Version}),
 librust-cargo-0+openssl-dev (= ${binary:Version}),
 librust-cargo-0+vendored-openssl-dev (= ${binary:Version}),
 librust-cargo-0.43+openssl-dev (= ${binary:Version}),
 librust-cargo-0.43+vendored-openssl-dev (= ${binary:Version}),
 librust-cargo-0.43.1+openssl-dev (= ${binary:Version}),
 librust-cargo-0.43.1+vendored-openssl-dev (= ${binary:Version})
Description: Package manager for Rust - feature "openssl" and 1 more
 This metapackage enables feature "openssl" for the Rust cargo crate, by pulling
 in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "vendored-openssl" feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo 0.43.1 --all-targets --all-features
Features: test-name=@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo 0.43.1 --all-targets --no-default-features
Features: test-name=librust-cargo-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test cargo 0.43.1 --all-targets --features openssl
Features: test-name=librust-cargo+openssl-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/cargo-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/cargo .*/crates/cargo/@ANY_VERSION@/download
